# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLScriptElement Class Reference

Script statements. More...

`#include <html_head.h>`

Inheritance diagram for DOM::HTMLScriptElement:

[legend]
Collaboration diagram for DOM::HTMLScriptElement:

[legend]
List of all members.

## Public Member Functions

| HTMLScriptElement (const HTMLScriptElement &other)
| HTMLScriptElement (const Node &other)
HTMLScriptElement & | operator= (const HTMLScriptElement &other)
HTMLScriptElement & | operator= (const Node &other)
DOMString | text () const
void | setText (const DOMString &)
DOMString | htmlFor () const
void | setHtmlFor (const DOMString &)
DOMString | event () const
void | setEvent (const DOMString &)
DOMString | charset () const
void | setCharset (const DOMString &)
bool | defer () const
void | setDefer (bool)
DOMString | src () const
void | setSrc (const DOMString &)
DOMString | type () const
void | setType (const DOMString &)

## Protected Member Functions

| HTMLScriptElement (HTMLScriptElementImpl *impl)

## Detailed Description

Script statements.

See the SCRIPT element definition in HTML 4.0.

Definition at line 335 of file html_head.h.

## Member Function Documentation

DOMString HTMLScriptElement::text | ( |  | ) | const

| The script content of the element. Definition at line 323 of file html_head.cpp.

void HTMLScriptElement::setText | ( | const DOMString & |  | ) |

| see text Definition at line 329 of file html_head.cpp.

DOMString HTMLScriptElement::htmlFor | ( |  | ) | const

| Reserved for future use. Definition at line 334 of file html_head.cpp.

void HTMLScriptElement::setHtmlFor | ( | const DOMString & |  | ) |

| see htmlFor Definition at line 340 of file html_head.cpp.

DOMString HTMLScriptElement::event | ( |  | ) | const

| Reserved for future use. Definition at line 345 of file html_head.cpp.

void HTMLScriptElement::setEvent | ( | const DOMString & |  | ) |

| see event Definition at line 351 of file html_head.cpp.

DOMString HTMLScriptElement::charset | ( |  | ) | const

| The character encoding of the linked resource. See the charset attribute definition in HTML 4.0. Definition at line 356 of file html_head.cpp.

void HTMLScriptElement::setCharset | ( | const DOMString & |  | ) |

| see charset Definition at line 362 of file html_head.cpp.

bool HTMLScriptElement::defer | ( |  | ) | const

| Indicates that the user agent can defer processing of the script. See the defer attribute definition in HTML 4.0. Definition at line 367 of file html_head.cpp. References DOM::DOMString::isNull().

void HTMLScriptElement::setDefer | ( | bool |  | ) |

| see defer Definition at line 373 of file html_head.cpp.

DOMString HTMLScriptElement::src | ( |  | ) | const

| URI designating an external script. See the src attribute definition in HTML 4.0. Definition at line 380 of file html_head.cpp. References DOM::DOMString::isNull(), and DOM::DOMString::string().

void HTMLScriptElement::setSrc | ( | const DOMString & |  | ) |

| see src Definition at line 387 of file html_head.cpp.

DOMString HTMLScriptElement::type | ( |  | ) | const

| The content type of the script language. See the type attribute definition in HTML 4.0. Definition at line 392 of file html_head.cpp.

void HTMLScriptElement::setType | ( | const DOMString & |  | ) |

| see type Definition at line 398 of file html_head.cpp.

The documentation for this class was generated from the following files:

- html_head.h
- html_head.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:15 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003